Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class AgendaViewTable.Row

    java.lang.Object
      ix.ip2.AgendaViewTable.Row

All Implemented Interfaces:
  AgendaItemListener, java.util.EventListener

Enclosing class:
  AgendaViewTable

     class AgendaViewTable.Row

extends java.lang.Object
implements AgendaItemListener

A row of the table - corresponds to one item.

Field Summary
`(package private) javax.swing.JComboBox` | `actionChoice`
`(package private) javax.swing.JTextField` | `commentsText`
`(package private) javax.swing.JTextField` | `descriptionText`
`(package private) AgendaItem` | `item`
`(package private) boolean` | `open`
`(package private) PriorityComboBox` | `priorityChoice`

Constructor Summary
`AgendaViewTable.Row(AgendaItem item)`

Method Summary
`(package private) void` | `addToTable()`
`void` | `agendaItemEdited(AgendaItemEvent e)`
`(package private) int` | `getRowIndex()`
`void` | `handlerActionsChanged(AgendaItemEvent e)`
`void` | `newHandlerAction(AgendaItemEvent e, HandlerAction act)`
`void` | `newReport(AgendaItemEvent e, Report report)`
`void` | `priorityChanged(AgendaItemEvent e)`
`(package private) void` | `setupActionChoice()`
`(package private) void` | `setupCommentsText()`
`(package private) void` | `setupDescriptionText()`
`(package private) void` | `setupPriorityChoice()`
`(package private) void` | `setupRow()`
`(package private) boolean` | `shouldReplaceAction(java.lang.String actDescription)`
`(package private) void` | `simplyAddToTable()`
`void` | `statusChanged(AgendaItemEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### item

    AgendaItem item

### open

    boolean open

### descriptionText

    javax.swing.JTextField descriptionText

### commentsText

    javax.swing.JTextField commentsText

### priorityChoice

    PriorityComboBox priorityChoice

### actionChoice

    javax.swing.JComboBox actionChoice

Constructor Detail

### AgendaViewTable.Row

    AgendaViewTable.Row(AgendaItem item)

Method Detail

### setupRow

    void setupRow()

### setupDescriptionText

    void setupDescriptionText()

### setupCommentsText

    void setupCommentsText()

### setupPriorityChoice

    void setupPriorityChoice()

### setupActionChoice

    void setupActionChoice()

### getRowIndex

    int getRowIndex()

### simplyAddToTable

    void simplyAddToTable()

### addToTable

    void addToTable()

### statusChanged

    public void statusChanged(AgendaItemEvent e)

  Specified by:
    `statusChanged` in interface `AgendaItemListener`

### priorityChanged

    public void priorityChanged(AgendaItemEvent e)

  Specified by:
    `priorityChanged` in interface `AgendaItemListener`

### newReport

    public void newReport(AgendaItemEvent e,
                          Report report)

  Specified by:
    `newReport` in interface `AgendaItemListener`

### agendaItemEdited

    public void agendaItemEdited(AgendaItemEvent e)

  Specified by:
    `agendaItemEdited` in interface `AgendaItemListener`

### handlerActionsChanged

    public void handlerActionsChanged(AgendaItemEvent e)

  Specified by:
    `handlerActionsChanged` in interface `AgendaItemListener`

### newHandlerAction

    public void newHandlerAction(AgendaItemEvent e,
                                 HandlerAction act)

  Specified by:
    `newHandlerAction` in interface `AgendaItemListener`

### shouldReplaceAction

    boolean shouldReplaceAction(java.lang.String actDescription)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD